
/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */



package org.ow2.jonas.ws.axis2.jaxws;
import org.ow2.jonas.ws.jaxws.base.JAXWSWebservicesModule;
import org.ow2.util.log.Log;
import org.ow2.util.log.LogFactory;

/**
 * The WebservicesModule represents an archive containing web services.
 *
 * @author Guillaume Sauthier
 */
public class WebservicesModule extends JAXWSWebservicesModule{

    /**
     * Logger.
     */
    private static Log logger = LogFactory.getLog(WebservicesModule.class);


    /**
     * Build a new module.
     * @param name identifier
     */
    public WebservicesModule(final String name) {
        super(name);
    }

    /**
     * Stop the module.
     * Recursively stops inner containers.
     */
    @Override
    public void stop() {
        super.stop();
        logger.info("Stop WebservicesModule[{0}]", getName());
    }

    /**
     * Starts the module.
     * Recursively starts inner containers.
     */
    @Override
    public void start() {
        super.start();
        logger.info("Start WebservicesModule[{0}]", getName());
    }

}
